Skip to main content
PUT
/
v0
/
players
/
sessions
/
settings
Update client settings
curl --request PUT \
  --url https://controller.platform.simplecloud.app/v0/players/sessions/settings \
  --header 'Content-Type: application/json' \
  --header 'X-Network-ID: <x-network-id>' \
  --header 'X-Network-Secret: <x-network-secret>' \
  --data '
{
  "chat_colors": true,
  "chat_mode": "ENABLED",
  "client_listing_allowed": true,
  "locale": "en_US",
  "main_hand": "RIGHT",
  "skin_parts": [
    "CAPE",
    "JACKET"
  ],
  "view_distance": 12
}
'
import requests

url = "https://controller.platform.simplecloud.app/v0/players/sessions/settings"

payload = {
"chat_colors": True,
"chat_mode": "ENABLED",
"client_listing_allowed": True,
"locale": "en_US",
"main_hand": "RIGHT",
"skin_parts": ["CAPE", "JACKET"],
"view_distance": 12
}
headers = {
"X-Network-ID": "<x-network-id>",
"X-Network-Secret": "<x-network-secret>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'X-Network-ID': '<x-network-id>',
'X-Network-Secret': '<x-network-secret>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
chat_colors: true,
chat_mode: 'ENABLED',
client_listing_allowed: true,
locale: 'en_US',
main_hand: 'RIGHT',
skin_parts: ['CAPE', 'JACKET'],
view_distance: 12
})
};

fetch('https://controller.platform.simplecloud.app/v0/players/sessions/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Settings updated successfully",
  "settings": {
    "chat_colors": true,
    "chat_mode": "ENABLED",
    "client_listing_allowed": true,
    "locale": "en_US",
    "main_hand": "RIGHT",
    "skin_parts": [
      "CAPE",
      "JACKET",
      "LEFT_SLEEVE"
    ],
    "view_distance": 12
  },
  "success": true
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Headers

X-Network-ID
string
required

Network ID

X-Network-Secret
string
required

Network Secret

Query Parameters

player_id
string
required

Player UUID (Minecraft UUID)

Body

application/json

Settings to update

Request to update player client settings

chat_colors
boolean
Example:

true

chat_mode
string
Example:

"ENABLED"

client_listing_allowed
boolean
Example:

true

locale
string
Example:

"en_US"

main_hand
string
Example:

"RIGHT"

skin_parts
string[]
Example:
["CAPE", "JACKET"]
view_distance
integer
Example:

12

Response

OK

Response for updating client settings

message
string
Example:

"Settings updated successfully"

settings
object

Player client settings

success
boolean
Example:

true